Get position
curl --request GET \
--url https://staging.api.us.aptlydone.com/settings/v1/positions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/settings/v1/positions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/settings/v1/positions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:20.711Z",
"message": "Success",
"data": {
"id": "1533d1e1-b367-4b1e-bd45-bec6d1939149",
"tenantId": "7991d6c1-8488-406e-acf6-f07e7d1399e8",
"positionId": "10000",
"positionName": "Senior Developer",
"isSCIMProvisioned": false,
"status": "ACTIVE",
"isDeleted": false,
"createdOn": "2025-01-13T12:34:59.300Z",
"updatedOn": "2025-01-13T12:34:59.300Z",
"groups": [
{
"groupName": "Engineering Team",
"displayName": "Engineering Team Display",
"groupTypeName": "Organizations",
"groupId": "9fbe4911-1eae-499e-9190-a447a7134fe7",
"groupTypeId": "a51e8d10-388f-4042-b8a8-578b7ace6992",
"parentId": 2,
"parentName": "Technology Division",
"createdAt": "2025-01-13T12:34:59.303Z",
"updatedAt": "2025-01-13T12:34:59.303Z"
}
],
"delegationsReceived": 1,
"delegationsIssued": 1,
"externalId": "EXT-POS-12345",
"instanceId": "db036aaa-14fe-454a-bc23-a722e4106925"
}
}Positions
Get position
GET
/
v1
/
positions
/
{id}
Get position
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Position details retrieved successfully
Was this page helpful?
āI